# header

`LayoutComponent` ❌ Theme ✅ Options ✅ Content & Translations

To edit the Header, you need to edit the layout-component `header` and send a **PATCH** request on `/widgets/layout-component/{layout-component-id}` and specify the following options in the `options` property.

| Element             | Description                                | Component options                                                                                                              |
| ------------------- | ------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------ |
| `user`              | Text element in the footer.                | To display the user email address, set `isShown` to `true`.                                                                    |
| `mainTitle`         | Main title in the Header.                  | [DidomiTextOptions](/api-and-platform/widgets/privacy-widgets/edit-a-widget/content-and-design/options.md#didomitextoptions)   |
| `introductionTitle` | Description text element below main title. | [DidomiTextOptions](/api-and-platform/widgets/privacy-widgets/edit-a-widget/content-and-design/options.md#didomitextoptions)   |
| `logo`              | Logo placeholder at the top of the header. | [DidomiImageOptions](/api-and-platform/widgets/privacy-widgets/edit-a-widget/content-and-design/options.md#didomiimageoptions) |
| `logoWrapper`       | Logo container.                            | [DidomiStyle](/api-and-platform/widgets/privacy-widgets/edit-a-widget/content-and-design/options.md#didomistyle)               |
| `bannerImage`       | Banner image below the introductionTitle.  | [DidomiImageOptions](/api-and-platform/widgets/privacy-widgets/edit-a-widget/content-and-design/options.md#didomiimageoptions) |

```json
PATCH https://api.didomi.io/widgets/layout-components/{layout_component_id}?organization_id=YOUR_ORG_ID&widget_id=YOUR_WIDGET_ID

{
    "type": "footer",
    "organization_id": "String",
    "options": {
        "user": {
            "isShown": Boolean
        },
        "mainTitle": {
            "style": {
                "default": {
                    "color": "",
                    "fontSize": "",
                    "lineHeight": "",
                    "fontWeight": ""
                }
            },        
            "content": {
                "en": "YOUR_TITLE",
                "fr": "VOTRE_TITRE"
            }
        },
        "introductionTitle": {
            "style": {
                "default": {
                    "color": "",
                    "fontSize": "",
                    "lineHeight": "",
                    "fontWeight": ""
                }
            },        
            "content": {
                "en": "YOUR_INTRODUCTION",
                "fr": "VOTRE_INTRODUCTION"
            }
        },
        "logo": {
            "src": "YOUR_URL",
            "style": {
                "default": {
                      "padding": "",
                      "margin": "",
                      "width": ""
                }
            }            
        },
        "logoWrapper": {}
        "bannerImage": {
            "src": "YOUR_URL",
            "style": {
                "default": {
                      "padding": "",
                      "margin": "",
                      "width": ""
                }
            }            
        } 
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.didomi.io/api-and-platform/widgets/privacy-widgets/edit-a-widget/content-and-design/components/header.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
